Datacore Witness gegen Split-Brain Situationen

Datacore SANsymphony bietet Software defined Storage mit transparentem Spiegel im active-active Modus.

Seit Version SANsymphony 10 PSP7 unterstützt Datacore eine Witness Funktion.

Das Problem

Wenn beide Datacore Hosts sowohl Spiegelpfade, als auch LAN Verbindung verlieren, entsteht eine sogenannte Split-Brain Situation.

Beide Hosts DC1 und DC2 sind funktionsfähig und haben intakte Daten auf ihrem Datastore. Beide Hosts können Storage I/O von Servern (H1-H4) in ihrem Bereich bearbeiten. dadurch erfahren beide Hälften des Datenspeichers unterschiedliche Veränderungen, die nicht mehr in Einklang gebracht werden können.

„Datacore Witness gegen Split-Brain Situationen“ weiterlesen

Datacore – Emulex 16000 FC HBA Support

Hardware Support am Horizont

Im Oktober 2016 zog Datacore den Support für Emulex 16000 FibreChannel HBA zurück, nachdem es zu massiven Problemen im Zusammenhang mit SanSymphony10 kam. Auch in der aktuellen FAQ1592 werden Emulex FC HBA immer noch ausdrücklich nicht unterstützt.

Für Bestandskunden, die den HBA bereits vorher einsetzten blieb der Support erhalten.

Customers already using the DataCore Emulex Fibre Channel driver
will continue to be supported but they must not use the firmware that
is included with any version 11.x Emulex driver package. Use only the
firmware that is provided with the most current version 10.x Emulex
driver package.

Aus oben genanntem Grund musste bei allen unseren Kunden mit Emulex 16000 HBA in Datacore Systemen ein Firmware-Downgrade durchgeführt werden. In einigen Fällen mussten die HBA komplett gegen andere Modelle getauscht werden. Zu schwer waren die Auswirkungen. „Datacore – Emulex 16000 FC HBA Support“ weiterlesen

DataCore widerruft Support für Emulex 16GB FibreChannel HBA

DataCore publiziert regelmäßig unter FAQ 1592 die Qualified Hardware Components. Darin werden Hardware Komponenten wie LAN Adapter, SAN-Switches, IP-Switches oder FibreChannel Host Bus Adapter (HBA) bekannter Hersteller gelistet und deren Kompatibilität mit den Unterschiedlichen DataCore Produkten. So zum Beispiel welcher Patchlevel seitens SANSymphony mindestens benötigt wird, oder welche Firmware das IO-Device haben soll.

Ich muss zugeben, ich bin keineswegs überrascht, dass in der aktuellen Oktober-Ausgabe der FAQ 1592 sämtliche 16 GBit FibreChannel HBA der Firma Emulex (Avago Technologies) als „not supported“ deklariert wurden. Dies betrifft Emulex Branded HBA, aber auch OEM Produkte von Fujitsu und HP.

Emulex LPe16000-M6, LPe16002-M6, LPe16004-M6, LPe16004-M6-EI, LPe16000B-M6, LPe16002B-M6 and LPe16202-x

Fujitsu LPe16000B-M6-F and LPe16002B-M6-F

HP All SN1100E models

All of the above HBAs are not supported. Customers that are already using the DataCore Emulex Fibre Channel driver with these HBAs in their DataCore Servers will continue to be supported.

„DataCore widerruft Support für Emulex 16GB FibreChannel HBA“ weiterlesen

Emulex 16002 Firmware Downgrade auf DataCore Servern

Es ist prinzipiell gute Praxis, Treiber, Firmware und BIOS Images bei Servern und Infrastruktur-Komponenten auf dem aktuellsten Stand zu halten. Hier werden in der Regel Fehler behoben, Leistung optimiert, neue Funktionen hinzugefügt, oder Sicherheitslücken gestopft. Dass manchmal auch ein Rückschritt notwendig sein kann, mussten wir kürzlich bei einen DataCore Host mit SANSymphony V10 erfahren.

Der Server – eine Fujitsu Primergy RX2560 M1 – war mit aktuellsten Firmware-Updates versorgt. Darunter auch drei Emulex LPe16002 Fibrechannel HBA. Das System lief unter SANsymphony V10 PSP4 und sollte auf PSP5 aktualisiert werden. Gerade mit Emulex HBA gab es in der Vergangenheit immer wieder Probleme beim Update der DataCore Treiber. Daher ist vor einem DataCore Update das genaue Studium der Releasenotes Pflicht.

If 16G Emulex HBA are included in your configuration, confirm that the firmware for these adapters is 10.6.144.21. Newer versions of firmware are not supported

Die Emulex HBA hatten eine Firmware Version 10.6.193.22 und sind damit nicht unterstützt. Auf Anfrage teilte uns der DataCore Support mit, daß es sich nicht nur um eine ungeprüfte (und damit nicht unterstützte) Konfiguration handle, sondern dass es jenseits der Version 10.6.144.21 zu schwerwiegenden Problemen auf dem DataCore Server kommen werde. „Emulex 16002 Firmware Downgrade auf DataCore Servern“ weiterlesen